## ros-indigo-cob-bms-driver 0.6.12

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 2.8.3)
project(cob_bms_driver)

find_package(catkin REQUIRED COMPONENTS
  diagnostic_msgs
  diagnostic_updater
  roscpp
  socketcan_interface
  std_msgs
)

catkin_package()

###########
## Build ##
###########
include_directories(
  include
  ${catkin_INCLUDE_DIRS}
)

add_executable(bms_driver_node src/cob_bms_driver_node.cpp)
add_dependencies(bms_driver_node ${catkin_EXPORTED_TARGETS})
target_link_libraries(bms_driver_node ${catkin_LIBRARIES})

#############
## Install ##
#############
install(TARGETS bms_driver_node
  ARCHIVE DESTINATION ${CATKIN_PACKAGE_LIB_DESTINATION}
  LIBRARY DESTINATION ${CATKIN_PACKAGE_LIB_DESTINATION}
  RUNTIME DESTINATION ${CATKIN_PACKAGE_BIN_DESTINATION}
)

install(PROGRAMS
  src/fake_bms.py
  src/power_state_aggregator.py
  DESTINATION ${CATKIN_PACKAGE_BIN_DESTINATION}
)

=== debian/changelog ===
ros-indigo-cob-bms-driver (0.6.12-0trusty) trusty; urgency=high

  * update maintainer
  * Merge pull request #374 <https://github.com/ipa320/cob_driver/issues/374> from floweisshardt/feature/round_remaining_capacity
    round remaining_capacity
  * adjust to real driver precision
  * round remaining_capacity
  * Contributors: Felix Messmer, fmessmer, ipa-fmw, ipa-fxm

 -- Felix Messmer <felixmessmer@gmail.com>  Fri, 20 Jul 2018 22:00:00 -0000

ros-indigo-cob-bms-driver (0.6.11-0trusty) trusty; urgency=high

  * Merge remote-tracking branch 'origin/indigo_release_candidate' into indigo_dev
  * Merge pull request #364 <https://github.com/ipa320/cob_driver/issues/364> from ipa-fxm/fake_bms_diagnostics
    use diagnostic updater in fake_bms
  * use diagnostic updater in fake_bms
  * Merge pull request #361 <https://github.com/ipa320/cob_driver/issues/361> from ipa-fxm/set_relative_remaining_capacity
    set relative remaining capacity
  * set relative remaining capacity
  * Merge pull request #341 <https://github.com/ipa320/cob_driver/issues/341> from ipa-fxm/APACHE_license
    use license apache 2.0
  * change maintainer
  * use license apache 2.0
  * Contributors: Felix Messmer, Florian Weisshardt, ipa-fxm, ipa-uhr-mk

 -- Florian Weisshardt <florian.weisshardt@ipa.fraunhofer.de>  Sat, 06 Jan 2018 23:00:00 -0000

ros-indigo-cob-bms-driver (0.6.10-0trusty) trusty; urgency=high



 -- Mathias Lüdtke <mathias.luedtke@ipa.fraunhofer.de>  Sun, 23 Jul 2017 22:00:00 -0000

ros-indigo-cob-bms-driver (0.6.9-0trusty) trusty; urgency=high

  * minor change for handling exception
  * made changes which only sets the current that in turn is used by power_aggregator for relative_remaining_capacity calculation
  * fix typo
  * added emulation of realistic current value
  * minor change for publishing a realistic voltage value
  * Merge pull request #310 <https://github.com/ipa320/cob_driver/issues/310> from souravran/feature/fake_bms
    added a fake bms with set_charging and set_relative_remaining_capacity services
  * finalize exception handling
  * fake current
  * consistent naming
  * publish diagnostics in fake_bms
  * harmonize namespaces of fake_bms
  * uses the default parameter value
  * poll frequency has been set from the parameter list
  * made changes as per the review.
    power state elements being published at 20 Hz.
    removed junk rospy log and changed division_by_zero error message.
  * fake_bms publishing all power_state entities.
    added exception handling in power_state_aggregator.
    added package dependency and install tags.
  * added a fake bms with set_charging and set_relative_remaining_capacity services
  * fix typo
  * fix powerstate aggregator charging flag (bms is not delivering correct flag for full battery and docked)
  * use bms flag for harging
  * fix identation
  * use spaces for indention in BMS driver
  * updated authors
  * added support for bit_mask'ed booleans
  * make BmsParameter an abstract base class
  * BMS driver clean-up
  * switch from map of vectors to multimap in BMS driver
  * simplified BMS publisher creation and polling list optimization
  * simplified BMS config parsing
  * manually fix changelog
  * Contributors: Felix Messmer, Florian Weisshardt, Mathias Lüdtke, Nadia Hammoudeh García, fmw-ss, ipa-fxm, robot

 -- Mathias Lüdtke <mathias.luedtke@ipa.fraunhofer.de>  Mon, 17 Jul 2017 22:00:00 -0000

ros-indigo-cob-bms-driver (0.6.8-0trusty) trusty; urgency=high

  * restart CAN on failure
  * move power_state_phidget node to new package
  * invert current + round values
  * fix typo
  * corrected namespace
  * added node to calculate powerstate from phidget board
  * Contributors: Benjamin Maidel, Mathias Lüdtke

 -- Mathias Luedtke <mathias.luedtke@ipa.fraunhofer.de>  Sun, 09 Oct 2016 22:00:00 -0000

ros-indigo-cob-bms-driver (0.6.7-0trusty) trusty; urgency=high

  * add missing dependencies
  * Contributors: ipa-fxm

 -- Mathias Luedtke <mathias.luedtke@ipa.fraunhofer.de>  Fri, 01 Apr 2016 22:00:00 -0000

ros-indigo-cob-bms-driver (0.6.6-0trusty) trusty; urgency=high

  * dependency and package cleanup
  * remove config and launch as it is added to cob_robots
  * adjust version
  * move cob_bms_driver to cob_driver
  * Contributors: ipa-fxm

 -- Mathias Luedtke <mathias.luedtke@ipa.fraunhofer.de>  Thu, 31 Mar 2016 22:00:00 -0000

ros-indigo-cob-bms-driver (0.6.5-0trusty) trusty; urgency=high



 -- Mathias Luedtke <mathias.luedtke@ipa.fraunhofer.de>  Sun, 30 Aug 2015 22:00:00 -0000

ros-indigo-cob-bms-driver (0.6.4-0trusty) trusty; urgency=high



 -- Mathias Luedtke <mathias.luedtke@ipa.fraunhofer.de>  Mon, 24 Aug 2015 22:00:00 -0000

ros-indigo-cob-bms-driver (0.6.3-0trusty) trusty; urgency=high



 -- Mathias Luedtke <mathias.luedtke@ipa.fraunhofer.de>  Tue, 16 Jun 2015 22:00:00 -0000

ros-indigo-cob-bms-driver (0.6.2-0trusty) trusty; urgency=high



 -- Mathias Luedtke <mathias.luedtke@ipa.fraunhofer.de>  Sun, 14 Dec 2014 23:00:00 -0000

ros-indigo-cob-bms-driver (0.6.1-0trusty) trusty; urgency=high



 -- Mathias Luedtke <mathias.luedtke@ipa.fraunhofer.de>  Tue, 16 Sep 2014 22:00:00 -0000

ros-indigo-cob-bms-driver (0.6.0-0trusty) trusty; urgency=high



 -- Mathias Luedtke <mathias.luedtke@ipa.fraunhofer.de>  Mon, 08 Sep 2014 22:00:00 -0000

ros-indigo-cob-bms-driver (0.5.7-0trusty) trusty; urgency=high



 -- Mathias Luedtke <mathias.luedtke@ipa.fraunhofer.de>  Tue, 26 Aug 2014 07:47:00 -0000

ros-indigo-cob-bms-driver (0.5.6-0trusty) trusty; urgency=high



 -- Mathias Luedtke <mathias.luedtke@ipa.fraunhofer.de>  Tue, 26 Aug 2014 07:42:00 -0000

ros-indigo-cob-bms-driver (0.5.5-0trusty) trusty; urgency=high



 -- Mathias Luedtke <mathias.luedtke@ipa.fraunhofer.de>  Tue, 26 Aug 2014 06:33:00 -0000

ros-indigo-cob-bms-driver (0.5.4-0trusty) trusty; urgency=high



 -- Mathias Luedtke <mathias.luedtke@ipa.fraunhofer.de>  Sun, 24 Aug 2014 22:00:00 -0000

ros-indigo-cob-bms-driver (0.5.3-0trusty) trusty; urgency=high





=== debian/control ===
Source: ros-indigo-cob-bms-driver
Section: misc
Priority: extra
Maintainer: Felix Messmer <felixmessmer@gmail.com>
Build-Depends: debhelper (>= 9.0.0), ros-indigo-catkin, ros-indigo-diagnostic-msgs, ros-indigo-diagnostic-updater, ros-indigo-roscpp, ros-indigo-socketcan-interface, ros-indigo-std-msgs
Homepage: 
Standards-Version: 3.9.2

Package: ros-indigo-cob-bms-driver
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, python-numpy, ros-indigo-cob-msgs, ros-indigo-cob-srvs, ros-indigo-diagnostic-msgs, ros-indigo-diagnostic-updater, ros-indigo-roscpp, ros-indigo-rospy, ros-indigo-socketcan-interface, ros-indigo-std-msgs
Description: Driver package for interfacing the battery management system (BMS) on Care-O-bot.

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.

# Uncomment this to turn on verbose mode.
export DH_VERBOSE=1
# TODO: remove the LDFLAGS override.  It's here to avoid esoteric problems
# of this sort:
#  https://code.ros.org/trac/ros/ticket/2977
#  https://code.ros.org/trac/ros/ticket/3842
export LDFLAGS=
export PKG_CONFIG_PATH=/opt/ros/indigo/lib/pkgconfig
# Explicitly enable -DNDEBUG, see:
# 	https://github.com/ros-infrastructure/bloom/issues/327
export DEB_CXXFLAGS_MAINT_APPEND=-DNDEBUG

%:
	dh $@ -v --buildsystem=cmake

override_dh_auto_configure:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/indigo/setup.sh" ]; then . "/opt/ros/indigo/setup.sh"; fi && \
	dh_auto_configure -- \
		-DCATKIN_BUILD_BINARY_PACKAGE="1" \
		-DCMAKE_INSTALL_PREFIX="/opt/ros/indigo" \
		-DCMAKE_PREFIX_PATH="/opt/ros/indigo"

override_dh_auto_build:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/indigo/setup.sh" ]; then . "/opt/ros/indigo/setup.sh"; fi && \
	dh_auto_build

override_dh_auto_test:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	echo -- Running tests. Even if one of them fails the build is not canceled.
	if [ -f "/opt/ros/indigo/setup.sh" ]; then . "/opt/ros/indigo/setup.sh"; fi && \
	dh_auto_test || true

override_dh_shlibdeps:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/indigo/setup.sh" ]; then . "/opt/ros/indigo/setup.sh"; fi && \
	dh_shlibdeps -l$(CURDIR)/debian/ros-indigo-cob-bms-driver//opt/ros/indigo/lib/

override_dh_auto_install:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/indigo/setup.sh" ]; then . "/opt/ros/indigo/setup.sh"; fi && \
	dh_auto_install
